Bug 106632 - uuid files are never removed
Summary: uuid files are never removed
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: fc-cache (show other bugs)
Version: 2.12
Hardware: Other All
: medium normal
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-23 14:43 UTC by Laurent Bigonville
Modified: 2018-06-11 08:07 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Bigonville 2018-05-23 14:43:41 UTC
Hi,

The following bug has been opened in debian

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897040

It seems that once a .uuid file has been created, it's never removed.

Shouldn't fc-cache remove the files from empty directories, I guess that would already help
Comment 1 Akira TAGOH 2018-05-28 08:19:30 UTC
(In reply to Laurent Bigonville from comment #0)
> Shouldn't fc-cache remove the files from empty directories, I guess that
> would already help

It's hard to figure out if the target directory is going to be removed or became empty tentatively. fontconfig is watching places to detect updates. it will removes invalid caches though that happens only when the coresponding directory has been removed.

I'll take a look to understand further more.
Comment 2 Akira TAGOH 2018-06-11 08:07:03 UTC
Okay, fixed in git f5dd851


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.